ipc_lock_down
Prev | IPC utilities | Next

## Name

ipc_lock_down — Lock an ipc structure with rw_sem held

## Synopsis

`struct kern_ipc_perm * ipc_lock_down (` | struct ipc_ids * | ids,
| int | id`)`;

## Arguments

`ids`

  IPC identifier set

`id`

  ipc id to look for

## Description

Look for an id in the ipc ids idr and lock the associated ipc object.

The ipc object is locked on exit.

This is the routine that should be called when the rw_mutex is already held, i.e. idr tree protected.

Prev | Up | Next
ipc_lock | Home | ipc_parse_version